[Overview][Classes][Procedures and functions][Index] | Reference for unit 'Spin' (#lcl)

# TCustomFloatSpinEdit.StrToValue

Converts the specified string to a float value according to spin edit settings.

## Declaration

Source position: spin.pp line 76

`public function TCustomFloatSpinEdit.StrToValue(`
`const S: string`
`):Double; virtual;`

## Arguments

`S` |  | String examined and converted to a float value in the method.

## Function result

Float value for the specified string.

## Description

Calls StrToFloatF to convert the value in S to a Double data type. If S contains an invalid representation for a float value, Value is used as the return value for the method.